# Aelia Avita, the Never Idle (Aelia Avita, die niemals Untaetige)

**Entity Type:** Specialist

## Properties
| Field | Value |
|-------|-------|
| Rarity | Epic |
| Category | Seafaring |
| Slot Type | Captain |
| Scope | Ship |

## Effects
| Effect Type | Target | Value | Scope |
|------------|--------|-------|-------|
| Hitpoints | Ship | +60% | Ship |
| Goods Transfer Speed | Ship | +60% | Ship |
| Cargo Weight Slowdown | Ship | -70% | Ship |

## Improves Buildings
- Ships

## Source
All traders
